@echo off

setlocal

if EXIST "bin\start.cmd" goto CONT0
echo ERROR: you must run this script from the Sync4j Server home directory
goto END
:CONT0

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem JAVA_HOME, the path where you have Java 2 installed.
rem J2EE_HOME, the path where you have installed this package (EJB server).
rem

if not "%J2EE_HOME%" == "" goto CONT1
echo ERROR: Set J2EE_HOME before running this script.
goto END
:CONT1

if EXIST "%J2EE_HOME%\bin\run.bat" goto CONT2
echo ERROR: Set J2EE_HOME to the path of a valid JBoss installation.
goto END
:CONT2

if not "%JAVA_HOME%" == "" goto CONT3
echo ERROR: Set JAVA_HOME before running this script.
goto END
:CONT3

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT4
echo ERROR: Set JAVA_HOME to the path of a valid jdk.
goto END
:CONT4

if not EXIST "bin/emailgateway.cmd" goto CONT5
     call bin/emailgateway.cmd start
:CONT5


REM
REM Other settings
REM
set JAVA_OPTS=-Dsync4j.home="%~dp0.." -Dfile.encoding=UTF-8

cd "%J2EE_HOME%"\bin

call run.bat -c sync4j

:END
endlocal
